# DateRangeList Class Reference
[Base data types used in Form]

Inheritance diagram for DateRangeList:
[legend]

List of all members.

## Public Member Functions

| clean ()
| import ($scope)
| toString ()
| exportValue ()

## Static Public Member Functions

static | stringToDateRangeList ($string)
static | makeRange ($string)

## Protected Attributes

| $value = array()

## Static Private Member Functions

static | toDate ($date)

## Detailed Description

Definition at line 15 of file DateRangeList.class.php.

## Member Function Documentation

DateRangeList::clean | ( |  | ) |

Returns:
  DateRangeList

Definition at line 22 of file DateRangeList.class.php.

DateRangeList::exportValue | ( |  | ) |

Definition at line 196 of file DateRangeList.class.php.

DateRangeList::import | ( | $ | scope | ) |

Definition at line 31 of file DateRangeList.class.php.

References stringToDateRangeList().

Here is the call graph for this function:

static DateRangeList::makeRange | ( | $ | string | ) | `[static]`

Exceptions:

  | WrongArgumentException |

Returns:
  DateRange

Definition at line 100 of file DateRangeList.class.php.

References DateRange::create(), and toDate().

Referenced by stringToDateRangeList().

Here is the call graph for this function:

static DateRangeList::stringToDateRangeList | ( | $ | string | ) | `[static]`

Definition at line 74 of file DateRangeList.class.php.

References makeRange().

Referenced by import().

Here is the call graph for this function:

static DateRangeList::toDate | ( | $ | date | ) | `[static, private]`

Exceptions:

  | WrongArgumentException |

Returns:
  Date

Definition at line 143 of file DateRangeList.class.php.

Referenced by makeRange().

DateRangeList::toString | ( |  | ) |

Implements Stringable.

Definition at line 60 of file DateRangeList.class.php.

## Member Data Documentation

DateRangeList::$value = array()`[protected]`

Definition at line 17 of file DateRangeList.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/DateRangeList.class.php